import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  appointmentId: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  procedureCode: z.literal(true).optional(),
  procedureLabel: z.literal(true).optional(),
  fee: z.literal(true).optional(),
  category: z.literal(true).optional(),
  toothNumber: z.literal(true).optional(),
  toothSurface: z.literal(true).optional(),
  oralCavityArea: z.literal(true).optional(),
  source: z.literal(true).optional(),
  comboKey: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const AppointmentProcedureMaxAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentProcedureMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureMaxAggregateInputType>;
export const AppointmentProcedureMaxAggregateInputObjectZodSchema = makeSchema();
